package chess4j.pieces;

import chess4j.Color;

public abstract class Piece {

	private Color _color;
	
	public Piece(Color color) {
		this._color=color;
	}

	public Color getColor() {
		return _color;
	}
	
	public boolean isBlack() {
		return _color.getColor()==Color.BLACK.getColor();
	}
	
	public boolean isWhite() {
		return _color.getColor()==Color.WHITE.getColor();
	}
	
}
